你好,游客 登录 注册 搜索
背景:
阅读新闻

Linux 上如何安装并切换最新版本的 Python 3.6

[日期:2017-07-06] 来源:Linux中国  作者:Linux [字体: ]

Python 是 Linux 中一种最流行的编程语言。它被写成了各种工具和库。除此之外,Python 在开发者之间很流行因为它非常简单,并且实际很容易掌握。如果你安装了 Linux 系统,正在学习 Python 并想要使用最新的版本的话,那么这篇文章就是为你而写的。现在我已经安装好了 Linux Mint 18。默认安装的版本是 2.7 和 3.5。你可以用这个命令检查:

  1. $ python -V
  2. $ python2 -V
  3. $ python3 -V

安装最新的 Python 3.6 到 Linux 中:

  1. $ sudo add-apt-repository ppa:jonathonf/python-3.6
  2. $ sudo apt update
  3. $ sudo apt install python3.6

检查已安装的 Python 3.6 版本

  1. $ python3.6-V

请注意旧版本仍然还在,它仍然可以通过 python3 可用,新的版本可以通过命令 python3.6。如果你想要默认使用这个版本而不是 3.5 运行所有的程序,这有个工具叫 update-alternatives。但是如果你尝试获取可能的列表,我们会得到错误:

Python 3.6  - install latest version into Linux Mint

Python 3.6 - install latest version into Linux Mint

这是正常的,你首先需要为那个问题设置文件,因为维护者没有设置这个:

  1. $ sudo update-alternatives --install /usr/bin/python3 python3 /usr/bin/python3.51
  2. $ sudo update-alternatives --install /usr/bin/python3 python3 /usr/bin/python3.62

现在再次查看:

  1. $ update-alternatives --list python3

Python 3.6  - install latest version into Linux Mint

Python 3.6 - install latest version into Linux Mint

现在我们选择需要的版本并按需切换。对于设置使用配置命令:

  1. $ sudo update-alternatives --config python3

Python 3.6  - install latest version into Linux Mint

Python 3.6 - install latest version into Linux Mint

在提示符中,你需要指定默认使用的编号。

选择版本时要小心,不要去动 python(python2),只使用我说的 python3,Python 2.7 编写了各种系统工具,如果你尝试用错误的解释器版本运行它们,可能就不会工作。

愿原力与你同在,好运!!!


via: https://mintguide.org/other/794-python-3-6-install-latest-version-into-linux-mint.html

作者: Shekin 译者:geekpi 校对:wxy

本文由 LCTT 原创编译,Linux中国 荣誉推出

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-07/145453.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明��已经阅读并接受上述条款